summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/transactions/0021rule_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/transactions/0021rule_0')
-rwxr-xr-xtests/shell/testcases/transactions/0021rule_011
1 files changed, 1 insertions, 10 deletions
diff --git a/tests/shell/testcases/transactions/0021rule_0 b/tests/shell/testcases/transactions/0021rule_0
index 284a9e71..f5f6eb8b 100755
--- a/tests/shell/testcases/transactions/0021rule_0
+++ b/tests/shell/testcases/transactions/0021rule_0
@@ -2,14 +2,6 @@
set -e
-tmpfile=$(mktemp)
-if [ ! -w $tmpfile ] ; then
- echo "Failed to create tmp file" >&2
- exit 0
-fi
-
-trap "rm -rf $tmpfile" EXIT # cleanup if aborted
-
RULESET="add table x
add chain x y
add rule x y ip saddr 1.1.1.1 counter
@@ -18,8 +10,7 @@ add table x
add chain x y
add rule x y ip saddr 2.2.2.2 counter"
-echo "$RULESET" > $tmpfile
-$NFT -f $tmpfile
+$NFT -f - <<< $RULESET
if [ $? -ne 0 ] ; then
echo "E: unable to load good ruleset" >&2
exit 1